## org.omg.CORBA
Class RepositoryIdHelper

    java.lang.Object
      |
      +--org.omg.CORBA.RepositoryIdHelper

public class RepositoryIdHelper
extends java.lang.Object

Helper class for : RepositoryId

Author:
  OpenORB Compiler

Constructor Summary
`RepositoryIdHelper()`

Method Summary
`static java.lang.String` `extract(Any a)` Extract RepositoryId from an any
`static java.lang.String` `id()` Return the RepositoryId IDL ID
`static void` `insert(Any a, java.lang.String t)` Insert RepositoryId into an any
`static java.lang.String` `read(InputStream istream)` Read RepositoryId from a marshalled stream
`static TypeCode` `type()` Return the RepositoryId TypeCode
`static void` `write(OutputStream ostream, java.lang.String value)` Write RepositoryId into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryIdHelper

    public RepositoryIdHelper()

Method Detail

### insert

    public static void insert(Any a,
                              java.lang.String t)

  Insert RepositoryId into an any
  Parameters:
    `a` - an any
    `t` - RepositoryId value

### extract

    public static java.lang.String extract(Any a)

  Extract RepositoryId from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted RepositoryId value

### type

    public static TypeCode type()

  Return the RepositoryId TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the RepositoryId IDL ID
  Returns:
    an ID

### read

    public static java.lang.String read(InputStream istream)

  Read RepositoryId from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed RepositoryId value

### write

    public static void write(OutputStream ostream,
                             java.lang.String value)

  Write RepositoryId into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - RepositoryId value